Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api
[Java] Class Namer.Comparator

    java.lang.Object
      org.gradle.api.Namer.Comparator

All Implemented Interfaces:
  Comparator

    public static class Namer.Comparator

A comparator implementation based on the names returned by the given namer.

Constructor Summary
`Namer.Comparator(Namer namer)`

Method Summary
`int` | `compare(Object o1, Object o2)`
`boolean` | `equals(Object obj)`
`int` | `hashCode()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### Namer.Comparator

    public Namer.Comparator(Namer namer)

Method Detail

### compare

    public int compare(Object o1, Object o2)

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

Gradle API 1.10